libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
file.h File Reference

File I/O operations. More...

`#include <map>`
`#include <stdint.h>`
`#include <string>`
`#include <sys/types.h>`
`#include <libcamera/base/private.h>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/flags.h>`
`#include <libcamera/base/span.h>`
`#include <libcamera/base/unique_fd.h>`
Include dependency graph for file.h:

Go to the source code of this file.

## Classes
class | libcamera::File
| Interface for I/O operations on files. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

File I/O operations.